%define name berry-installer
%define version 0.05
%define release b1

Name:		%{name}
Summary:	Berry Linux Installer
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		System/Tools
Source:		%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}

Requires:	lilo Xdialog

BuildArchitectures: noarch


%description
berry-installer is a small dialog-based script for installing
BERRY on a harddisk partition.


##
## Setup Section
##

%prep
%setup -q


##
## Build Section
##

%build


##
## Install Section
##

%install
mkdir -p %{buildroot}/opt/berry
install -m 755 install %{buildroot}/opt/berry/install
install -m 755 -d %{buildroot}/usr/share/applnk-redhat/Berry
install -m 644 install.desktop %{buildroot}/usr/share/applnk-redhat/Berry
#install -m 755 -d %{buildroot}/usr/share/gnome/apps/Berry/Config
#install -m 644 saveconfig.desktop %{buildroot}/usr/share/gnome/apps/Berry/Config

install -m 755 berry-installer %{buildroot}/opt/berry/
install -m 644 installer.desktop %{buildroot}/usr/share/applnk-redhat/Berry


##
## Clean Section
##

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


##
## Files Section
##

%files
%defattr (-,root,root)
/opt/berry/install
/opt/berry/berry-installer
/usr/share/applnk-redhat/Berry


##
## change log
##

%changelog
* Wed Nov 19 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Use new fs for changing device name
* Mon Sep 8 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Added berry-installer
* Sat Jul 12 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
- from KNOPPIX (http://developer.linuxtag.net/knoppix/sources/)
- knoppix-hdinstall_0.39-1.tar.gz
